﻿-- Author      : Nogarder
-- Create Date : 2012/7/27 10:54:27
NPA.SettingManager.RegisterDefault("Color",function()
	local setting={}
	--threat
	setting["Threat"]={}
	for i=0,3 do
		local r,g,b=GetThreatStatusColor(i)
		setting["Threat"][i]={R=r,G=g,B=b,A=1}
	end
	setting["Threat"][4]={R=1,G=1,B=1,A=1}
	--faction
	setting["Faction"]={
		[1]={ --friendly
			R=0,
			G=1,
			B=0,
			A=1,
		},
		[2]={ --netural
			R=1,
			G=1,
			B=0,
			A=1,
		},
		[3]={ --hostile
			R=1,
			G=0,
			B=0,
			A=1,
		},
	}
	--spell school
	setting["SpellSchool"]={
		[1]={R=1,G=1,B=0,A=1}, --physical
		[2]={R=1,G=1,B=0.5,A=1}, --holy
		[4]={R=1,G=0.3,B=0,A=1}, --fire
		[8]={R=0.25,G=1,B=0.25,A=1}, --nature
		[16]={R=0.5,G=1,B=1,A=1},--frost
		[32]={R=0.5,G=0.5,B=1,A=1},--shadow
		[64]={R=1,G=0.5,B=1,A=1}--arcane
	}
	setting["SpellType"]={
		["Magic"]={R=0,G=0,B=1,A=1},
		["Poison"]={R=0,G=1,B=0,A=1},
		["Curse"]={R=1,G=0,B=1,A=1},
		["Disease"]={R=0.6,G=0.6,B=0,A=1},
		["Enrage"]={R=1,G=0,B=0,A=1}, --hopefully blizzard fixed this, it was ""
		["Bleed"]={R=1,G=1,B=0,A=1},
		["None"]={R=1,G=1,B=1,A=1} -- none=physic 
	}
	--power
	--	-2	health 
	--0	mana 
	--1	rage 
	--2	focus 
	--3	energy 
	--4	pet happiness 
	--5	runes 
	--6	runic power 
	--7	soul shard 
	--8	eclipse energy (solar is negative, lunar is positive) 
	--9	holy power
	setting["Power"]={
		[0]={R=0,G=0,B=1,A=1}, --mana
		[1]={R=1,G=0,B=0,A=1}, --rage
		[2]={R=0.9,G=0.5,B=0.2,A=1}, --focus
		[3]={R=1,G=1,B=0,A=1}, --energy
		[4]={R=1,G=0.96,B=0.41,A=1}, --combo points
		[5]={R=0,G=0.8,B=1.0,A=1}, --runes
		[6]={R=0,G=0.8,B=0.9,A=1}, --runic power
		[7]={R=0.5,G=0.32,B=0.55,A=1}, --soul shards
		[8]={R=0.3,G=0.52,B=0.9,A=1}, --lunar power
		[9]={R=0.95,G=0.9,B=0.6,A=1}, -- holy power
		[12]={R=0.71,G=1.0,B=0.92,A=1}, -- Chi
		[13]={R=0.4,G=0,B=0.8,A=1},--insanity
		[16]={R=0.1,G=0.1,B=0.98,A=1},--Arcane Charges
	}
	return setting
end)


--PowerBarColor = {};
--PowerBarColor["MANA"] = { r = 0.00, g = 0.00, b = 1.00 };
--PowerBarColor["RAGE"] = { r = 1.00, g = 0.00, b = 0.00, fullPowerAnim=true };
--PowerBarColor["FOCUS"] = { r = 1.00, g = 0.50, b = 0.25, fullPowerAnim=true };
--PowerBarColor["ENERGY"] = { r = 1.00, g = 1.00, b = 0.00, fullPowerAnim=true };
--PowerBarColor["COMBO_POINTS"] = { r = 1.00, g = 0.96, b = 0.41 };
--PowerBarColor["RUNES"] = { r = 0.50, g = 0.50, b = 0.50 };
--PowerBarColor["RUNIC_POWER"] = { r = 0.00, g = 0.82, b = 1.00 };
--PowerBarColor["SOUL_SHARDS"] = { r = 0.50, g = 0.32, b = 0.55 };
--PowerBarColor["LUNAR_POWER"] = { r = 0.30, g = 0.52, b = 0.90, atlas="_Druid-LunarBar" };
--PowerBarColor["HOLY_POWER"] = { r = 0.95, g = 0.90, b = 0.60 };
--PowerBarColor["MAELSTROM"] = { r = 0.00, g = 0.50, b = 1.00, atlas = "_Shaman-MaelstromBar", fullPowerAnim=true };
--PowerBarColor["INSANITY"] = { r = 0.40, g = 0, b = 0.80, atlas = "_Priest-InsanityBar"};
--PowerBarColor["CHI"] = { r = 0.71, g = 1.0, b = 0.92 };
--PowerBarColor["ARCANE_CHARGES"] = { r = 0.1, g = 0.1, b = 0.98 };
--PowerBarColor["FURY"] = { r = 0.788, g = 0.259, b = 0.992, atlas = "_DemonHunter-DemonicFuryBar", fullPowerAnim=true };
--PowerBarColor["PAIN"] = { r = 255/255, g = 156/255, b = 0, atlas = "_DemonHunter-DemonicPainBar", fullPowerAnim=true };
---- vehicle colors
--PowerBarColor["AMMOSLOT"] = { r = 0.80, g = 0.60, b = 0.00 };
--PowerBarColor["FUEL"] = { r = 0.0, g = 0.55, b = 0.5 };
--PowerBarColor["STAGGER"] = { {r = 0.52, g = 1.0, b = 0.52}, {r = 1.0, g = 0.98, b = 0.72}, {r = 1.0, g = 0.42, b = 0.42},};

--SPELL_POWER_MANA            0       "MANA"
--SPELL_POWER_RAGE            1       "RAGE"
--SPELL_POWER_FOCUS           2       "FOCUS"
--SPELL_POWER_ENERGY          3       "ENERGY"
--SPELL_POWER_COMBO_POINTS    4       "COMBO_POINTS"
--SPELL_POWER_RUNES           5       "RUNES"
--SPELL_POWER_RUNIC_POWER     6       "RUNIC_POWER"
--SPELL_POWER_SOUL_SHARDS     7       "SOUL_SHARDS"
--SPELL_POWER_LUNAR_POWER     8       "LUNAR_POWER"
--SPELL_POWER_HOLY_POWER      9       "HOLY_POWER"
--SPELL_POWER_ALTERNATE_POWER 10      ???
--SPELL_POWER_MAELSTROM       11      "MAELSTROM"
--SPELL_POWER_CHI             12      "CHI"
--SPELL_POWER_INSANITY        13      "INSANITY"
--SPELL_POWER_OBSOLETE        14      ???
--SPELL_POWER_OBSOLETE2       15      ???
--SPELL_POWER_ARCANE_CHARGES  16      "ARCANE_CHARGES"
--SPELL_POWER_FURY            17      "FURY"
--SPELL_POWER_PAIN            18      "PAIN"